<template>
  <div class="paddedDiv">
    <div class="appContainer">
      <div class="textLabel">
        <span
          >Do you have any preferences regarding the content of your
          order?</span
        >
      </div>
      <div>
        <textarea
          class="customTextbox"
          v-model="Preference"
          @change="send"
          id="preferences"
          rows="6"
          placeholder="Enter any preferences here:"
          name="commentspreferences"
          maxLength="250"
        ></textarea>
      </div>
      <div class="disclaimerLabel">
        <span
          >Note: Bear Necessities Market may be unable to fulfill your
          preferences. We will do our best to provide alternatives in the case
          we cannot.
        </span>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "Preferences",
  data: () => ({
    Preference: "",
  }),
  methods: {
    send: function () {
      this.$emit("inputData", this.Preference);
    },
  },
};
</script>

<style scoped>
@import "../css/StyledDiv.css";
</style>
